## deepin-installer-timezones 5.7.37

=== CMakeLists.txt ===
# 工程设置
cmake_minimum_required(VERSION 3.1)

# Import folders
add_subdirectory(timezones)

=== timezones/CMakeLists.txt ===
find_package(Gettext REQUIRED)

## 获取当前目录下的子目录
MACRO(SUBDIRLIST result curdir)
  FILE(GLOB children RELATIVE ${curdir} ${curdir}/*)
  SET(dirlist "")
  FOREACH(child ${children})
    IF(IS_DIRECTORY ${curdir}/${child})
      LIST(APPEND dirlist ${child})
    ENDIF()
  ENDFOREACH()
  SET(${result} ${dirlist})
ENDMACRO()
SUBDIRLIST(DIRLIST ${CMAKE_CURRENT_SOURCE_DIR})

## 动态转换po文件为mo文件，以后增加po文件的目录后，不用再修改工程代码
FOREACH(subdir ${DIRLIST})
    set(PO_PATH "${CMAKE_CURRENT_SOURCE_DIR}/${subdir}")
    if(NOT EXISTS "${PO_PATH}/CMakeLists.txt")
        file(WRITE ${PO_PATH}/CMakeLists.txt "gettext_process_po_files(${subdir} ALL INSTALL_DESTINATION share/locale PO_FILES \${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)")
    endif()
    add_subdirectory(${subdir})
ENDFOREACH()

=== timezones/bs/CMakeLists.txt ===
gettext_process_po_files(bs ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/cs/CMakeLists.txt ===
gettext_process_po_files(cs ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/cy/CMakeLists.txt ===
gettext_process_po_files(cy ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/da/CMakeLists.txt ===
gettext_process_po_files(da ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/de/CMakeLists.txt ===
gettext_process_po_files(de ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/fr/CMakeLists.txt ===
gettext_process_po_files(fr ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/gl/CMakeLists.txt ===
gettext_process_po_files(gl ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/gl_ES/CMakeLists.txt ===
gettext_process_po_files(gl_ES ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/gu/CMakeLists.txt ===
gettext_process_po_files(gu ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/hi/CMakeLists.txt ===
gettext_process_po_files(hi ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== debian/changelog ===
deepin-installer-timezones (5.7.37-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 12 Aug 2022 16:03:42 +0800

deepin-installer-timezones (6.0.0+dde) unstable; urgency=medium

  * new deepin installer timezones data

 -- Zhang Dongdong <zhangdongdong@uniontech.com>  Sat, 10 Jan 2022 12:12:13 +0800

=== debian/control ===
Source: deepin-installer-timezones
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
    cmake (>=3.1),
    debhelper (>=9),
    dh-systemd,
    pkg-config,
    gettext,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-installer-timezones
Architecture: all
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Description: Language package for timezone names
 Installer language package for timezone names

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_test:
	# The upstream tests are related to the sources. Just skip it.

override_dh_auto_install:
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean

## deepin-installer-timezones 6.0.3.1

=== debian/changelog ===
deepin-installer-timezones (6.0.3.1) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 06 Dec 2023 14:12:32 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
     cmake (>=3.1),
     debhelper (>=9),
-    dh-systemd,
     pkg-config,
     gettext,
 Standards-Version: 3.9.8

## deepin-installer-timezones 6.0.4+dde

=== timezones/ady/CMakeLists.txt ===
gettext_process_po_files(ady ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/af/CMakeLists.txt ===
gettext_process_po_files(af ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/bqi/CMakeLists.txt ===
gettext_process_po_files(bqi ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/en_AU/CMakeLists.txt ===
gettext_process_po_files(en_AU ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/eo/CMakeLists.txt ===
gettext_process_po_files(eo ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/fil/CMakeLists.txt ===
gettext_process_po_files(fil ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/hi_IN/CMakeLists.txt ===
gettext_process_po_files(hi_IN ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/hy/CMakeLists.txt ===
gettext_process_po_files(hy ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/km_KH/CMakeLists.txt ===
gettext_process_po_files(km_KH ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/ku_IQ/CMakeLists.txt ===
gettext_process_po_files(ku_IQ ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/ky/CMakeLists.txt ===
gettext_process_po_files(ky ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== timezones/ky@Arab/CMakeLists.txt ===
gettext_process_po_files(ky@Arab ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== debian/changelog ===
deepin-installer-timezones (6.0.4+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- Guo Nafu <guonafu@uniontech.com>  Thu, 05 Jun 2025 11:23:00 +0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends:
     cmake (>=3.1),
     debhelper (>=9),
-    pkg-config,
-    gettext,
+    gettext
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
